# Uses of Interface
org.apache.solr.common.util.Utf8CharSequence

Packages that use Utf8CharSequence
Package
Description
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of Utf8CharSequence in org.apache.solr.common.util

Classes in org.apache.solr.common.util that implement Utf8CharSequence
Modifier and Type
Class
Description
`class`
`ByteArrayUtf8CharSequence`
A mutable byte[] backed Utf8CharSequence.
Methods in org.apache.solr.common.util that return Utf8CharSequence
Modifier and Type
Method
Description
`Utf8CharSequence`
Utf8CharSequence.`clone()`
Methods in org.apache.solr.common.util with parameters of type Utf8CharSequence
Modifier and Type
Method
Description
`default int`
Utf8CharSequence.`compareTo(Utf8CharSequence o)`
`static boolean`
ByteArrayUtf8CharSequence.`utf8Equals(Utf8CharSequence utf8_1, Utf8CharSequence utf8_2)`
`void`
FastOutputStream.`writeUtf8CharSeq(Utf8CharSequence utf8)`
Copies a `Utf8CharSequence` without making extra copies
`void`
JavaBinCodec.`writeUTF8Str(Utf8CharSequence utf8)`